Upgrade your Stripe integration from TLS 1.0 to TLS 1.2

To keep your communication with Stripe secure, we dropped support for TLS 1.0 and 1.1 on June 13 2018, in response to security concerns around these protocols. You can learn more about our upgrade to TLS 1.2 in this blog post.

We have provided test code snippets and upgrade instructions for each Stripe library below:

Connect, third-party, and shared server integration instructions